# Uses of Interface
org.springframework.cache.interceptor.CacheResolver

Packages that use CacheResolver
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.

## Uses of CacheResolver in org.springframework.cache.annotation

Fields in org.springframework.cache.annotation with type parameters of type CacheResolver
Modifier and Type
Field
Description
`protected Supplier<CacheResolver>`
AbstractCachingConfiguration.`cacheResolver`
Methods in org.springframework.cache.annotation that return CacheResolver
Modifier and Type
Method
Description
`default CacheResolver`
CachingConfigurer.`cacheResolver()`
Return the `CacheResolver` bean to use to resolve regular caches for annotation-driven cache management.
`CacheResolver`
CachingConfigurerSupport.`cacheResolver()`
Deprecated.

## Uses of CacheResolver in org.springframework.cache.interceptor

Classes in org.springframework.cache.interceptor that implement CacheResolver
Modifier and Type
Class
Description
`class`
`AbstractCacheResolver`
A base `CacheResolver` implementation that requires the concrete implementation to provide the collection of cache name(s) based on the invocation context.
`class`
`NamedCacheResolver`
A `CacheResolver` that forces the resolution to a configurable collection of name(s) against a given `CacheManager`.
`class`
`SimpleCacheResolver`
A simple `CacheResolver` that resolves the `Cache` instance(s) based on a configurable `CacheManager` and the name of the cache(s) as provided by `getCacheNames()`.
Methods in org.springframework.cache.interceptor that return CacheResolver
Modifier and Type
Method
Description
`CacheResolver`
CacheAspectSupport.`getCacheResolver()`
Return the default `CacheResolver` that this cache aspect delegates to.
Methods in org.springframework.cache.interceptor with parameters of type CacheResolver
Modifier and Type
Method
Description
`protected Collection<? extends Cache>`
CacheAspectSupport.`getCaches(CacheOperationInvocationContext<CacheOperation> context, CacheResolver cacheResolver)`
`void`
CacheAspectSupport.`setCacheResolver(CacheResolver cacheResolver)`
Set the default `CacheResolver` that this cache aspect should delegate to if no specific cache resolver has been set for the operation.
`void`
CacheProxyFactoryBean.`setCacheResolver(CacheResolver cacheResolver)`
Set the default `CacheResolver` that this cache aspect should delegate to if no specific cache resolver has been set for the operation.
Constructors in org.springframework.cache.interceptor with parameters of type CacheResolver
Modifier
Constructor
Description
``
`CacheOperationMetadata(CacheOperation operation, Method method, Class<?> targetClass, KeyGenerator keyGenerator, CacheResolver cacheResolver)`